// FILENAME:	DM_High_Motions.cs
//
// AUTHOR:  	Raxon
//------------------------------------------------------------------------------

$missionName = "DM_High_Motions";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionLoad(){
   cdAudioCycle("Yougot", "SS3", "SS1"); 
}

function onMissionStart(){
	
}

function player::onAdd(%player) 
{ 
   say(%player, 0, "<f5><jc>Welcome to DM_High_Motions."); 
}

function forward::trigger::onEnter(%this, %object)
{
%object.Cancel = false;
%object.up = true;
up(%object);
}

function fortog::trigger::onEnter(%this, %object)
{
%object.up = false;
%object.cancel = true;
}

function up(%object)
{
if(%object.cancel == true) return;
else if(%object.up == true)
{
%object.upx = getposition(%object, x);
%object.upy = getposition(%object, y)+5;
%object.upz = getposition(%object, z);
setposition(%object, %object.upx, %object.upy, %object.upz);
schedule("up(" @ %object @ ");",0.1);
}
}

function backward::trigger::onEnter(%this, %object)
{
%object.Cancel = false;
%object.up2 = true;
up2(%object);
}

function backtog::trigger::onEnter(%this, %object)
{
%object.up2 = false;
%object.cancel = true;
}

function up2(%object)
{
if(%object.cancel == true) return;
else if(%object.up2 == true)
{
%object.up2x = getposition(%object, x);
%object.up2y = getposition(%object, y)-5;
%object.up2z = getposition(%object, z);
setposition(%object, %object.up2x, %object.up2y, %object.up2z);
schedule("up2(" @ %object @ ");",0.1);
}
}

function left::trigger::onEnter(%this, %object)
{
%object.Cancel = false;
%object.up3 = true;
up3(%object);
}

function lefttog::trigger::onEnter(%this, %object)
{
%object.up3 = false;
%object.cancel = true;
}

function up3(%object)
{
if(%object.cancel == true) return;
else if(%object.up3 == true)
{
%object.up3x = getposition(%object, x)-5;
%object.up3y = getposition(%object, y)+5;
%object.up3z = getposition(%object, z);
setposition(%object, %object.up3x, %object.up3y, %object.up3z);
schedule("up3(" @ %object @ ");",0.1);
}
}

function leftback::trigger::onEnter(%this, %object)
{
%object.Cancel = false;
%object.up4 = true;
up4(%object);
}

function lbtog::trigger::onEnter(%this, %object)
{
%object.up4 = false;
%object.cancel = true;
}

function up4(%object)
{
if(%object.cancel == true) return;
else if(%object.up4 == true)
{
%object.up4x = getposition(%object, x)+5;
%object.up4y = getposition(%object, y)-5;
%object.up4z = getposition(%object, z);
setposition(%object, %object.up4x, %object.up4y, %object.up4z);
schedule("up4(" @ %object @ ");",0.1);
}
}

function right::trigger::onEnter(%this, %object)
{
%object.Cancel = false;
%object.up5 = true;
up5(%object);
}

function righttog::trigger::onEnter(%this, %object)
{
%object.up5 = false;
%object.cancel = true;
}

function up5(%object)
{
if(%object.cancel == true) return;
else if(%object.up5 == true)
{
%object.up5x = getposition(%object, x)+5;
%object.up5y = getposition(%object, y)+5;
%object.up5z = getposition(%object, z);
setposition(%object, %object.up5x, %object.up5y, %object.up5z);
schedule("up5(" @ %object @ ");",0.1);
}
}

function rightback::trigger::onEnter(%this, %object)
{
%object.Cancel = false;
%object.up6 = true;
up6(%object);
}

function rbtog::trigger::onEnter(%this, %object)
{
%object.up6 = false;
%object.cancel = true;
}

function up6(%object)
{
if(%object.cancel == true) return;
else if(%object.up6 == true)
{
%object.up6x = getposition(%object, x)-5;
%object.up6y = getposition(%object, y)-5;
%object.up6z = getposition(%object, z);
setposition(%object, %object.up6x, %object.up6y, %object.up6z);
schedule("up6(" @ %object @ ");",0.1);
}
}

function left2::trigger::onEnter(%this, %object)
{
%object.Cancel = false;
%object.up7 = true;
up7(%object);
}

function lefttog2::trigger::onEnter(%this, %object)
{
%object.up7 = false;
%object.cancel = true;
}

function up7(%object)
{
if(%object.cancel == true) return;
else if(%object.up7 == true)
{
%object.up7x = getposition(%object, x)-5;
%object.up7y = getposition(%object, y);
%object.up7z = getposition(%object, z);
setposition(%object, %object.up7x, %object.up7y, %object.up7z);
schedule("up7(" @ %object @ ");",0.1);
}
}

function right2::trigger::onEnter(%this, %object)
{
%object.Cancel = false;
%object.up8 = true;
up8(%object);
}

function righttog2::trigger::onEnter(%this, %object)
{
%object.up8 = false;
%object.cancel = true;
}

function up8(%object)
{
if(%object.cancel == true) return;
else if(%object.up8 == true)
{
%object.up8x = getposition(%object, x)+5;
%object.up8y = getposition(%object, y);
%object.up8z = getposition(%object, z);
setposition(%object, %object.up8x, %object.up8y, %object.up8z);
schedule("up8(" @ %object @ ");",0.1);
}
}

function redrop::trigger::onEnter(%t,%v)
{
   reDrop(%v);
}

function kill::trigger::onEnter(%this,%object)
{
   healobject(%object,-50000);
   say(0,0,"<f5>" @ gethudname(%object) @ " <f5>fell into the unknown!");
}
