// FILENAME:	DM_Homeworld_Second.cs
//
// AUTHOR:  	Raxon
//------------------------------------------------------------------------------

$missionName = "DM_Homeworld_Second";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

$server::HudMapViewOffsetX = -2820.26;
$server::HudMapViewOffsetY = -7047.21;

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionLoad(){
   cdAudioCycle("Yougot", "SS3", "SS1"); 
}

function onMissionStart(){
	
}

function player::onAdd(%player) 
{ 
   say(%player, 0, "<f5><jc>Welcome to TDM Advanced Warforms."); 
} 

function jud::structure::onScan(%scanned, %scanner) 
{ 
   %player = playerManager::vehicleIdToPlayerNum(%scanner); 
   messageBox(%player, "Judge - Renewed Adjudicator with increased armor, lowered agility and increased fire power. More vicious than the Adjudicator it holds the highest battle success rating, making it an instant Pilot favorite."); 
}
