// FILENAME:	DM_Imperial_Defense.cs
//
// AUTHOR:  	Raxon
//------------------------------------------------------------------------------

$missionName = "DM_Imperial_Defense";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

$server::HudMapViewOffsetX = -2820.26;
$server::HudMapViewOffsetY = -7047.21;

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionLoad(){
   cdAudioCycle("Yougot", "SS3", "SS1"); 
}

function onMissionStart(){
	
}

function player::onAdd(%player) 
{ 
   say(%player, 0, "<f5><jc>Welcome to TDM Advanced Warforms."); 
} 

function talon::structure::onScan(%scanned, %scanner) 
{ 
   %player = playerManager::vehicleIdToPlayerNum(%scanner); 
   messageBox(%player, "Defense Talon - Upgraded Talon with more armor, larger engine mount, and 2 extra weapon mounts. The Defense Talon is faster and cheaper to manufacture than the Minotaur. Also being a smaller target makes it must have to every fire team."); 
} 

function myrm::structure::onScan(%scanned, %scanner) 
{ 
   %player = playerManager::vehicleIdToPlayerNum(%scanner); 
   messageBox(%player, "Defense Myrmidon - An Uparmored Myrmidon with Dual engines almsot doubling the original speed and maneuverability."); 
}

function paladin::structure::onScan(%scanned, %scanner) 
{ 
   %player = playerManager::vehicleIdToPlayerNum(%scanner); 
   messageBox(%player, "Defense Paladin - Upgraded Paladin with a Larger mountable engine and 2 large special mounts. This Paladin is most affective with Anit-Gravity, Nano Repair, and Quick Armor."); 
} 